using System.Collections;
using System.Collections.Generic;
using Godot;

namespace Rokojori
{
  [Tool]
  [GlobalClass]
	public partial class FrameSmoothingTableGenerator:Node
	{
    [Export]
    public string path;
    
    [ExportToolButton( "Compute")]
    public Callable ComputeButton => Callable.From( Compute );

    async void Compute()
    {
      await FrameSmoothingTable.ComputeAndSaveTable( this, path );
    }
  
  } 
}